Package org.eclipse.emf.cdo.common.model

# Class EMFPredicates

java.lang.Object
org.eclipse.emf.cdo.common.model.EMFPredicates

public final class EMFPredicates extends Object
Predefined `predicates` to test for various `feature` types.

Since:
  4.9
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Predicate<EStructuralFeature>`
`ATTRIBUTES`
`static final Predicate<EStructuralFeature>`
`CONTAINER_REFERENCES`
`static final Predicate<EStructuralFeature>`
`CONTAINMENT_REFERENCES`
`static final Predicate<EStructuralFeature>`
`CROSS_REFERENCES`
`static final Predicate<EStructuralFeature>`
`REFERENCES`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATTRIBUTES

public static final Predicate<EStructuralFeature> ATTRIBUTES

### REFERENCES

public static final Predicate<EStructuralFeature> REFERENCES

### CONTAINER_REFERENCES

public static final Predicate<EStructuralFeature> CONTAINER_REFERENCES

### CROSS_REFERENCES

public static final Predicate<EStructuralFeature> CROSS_REFERENCES

### CONTAINMENT_REFERENCES

public static final Predicate<EStructuralFeature> CONTAINMENT_REFERENCES